# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
Name:           flasm
Version:        1.62
Release:        alt1_16
Summary:        Flash bytecode assembler disassembler

Group:          Development/Tools
License:        BSD
URL:            http://flasm.sourceforge.net/
# get here, but source name hasn't changed while the tarball has changed
#Source0:        http://www.nowrap.de/download/flasm16src.zip
Source0:        flasm162src.zip
Source1:        http://shield.jp/~dseg/rpms/flasm/flasm.1.gz
Patch0:         flasm-1.62-midrule.patch

BuildRequires:  bison gperf flex zlib-devel
Source44: import.info
#Requires:       


%description
Flasm is a free command line assembler/disassembler of Flash ActionScript 
bytecode. It lets you make changes to any SWF. Flasm fully supports SWFs 
produced by Macromedia Flash 8 and earlier Flash versions.

%prep
%setup -q -c
%patch0 -p1 -b .midrule
# cleanup perms and end of lines
chmod -x *.TXT assembler.flex assembler.y *.c *.h *.ini Makefile \
 keywords.gperf logo.gif classic.css flasm.html

# Remove dos end of lines and convert to utf8
for file in *.TXT flasm.ini classic.css flasm.html; do
  sed 's/\r//' $file > $file.new
  touch -r $file $file.new
  mv $file.new $file
done
iconv -f ISO_8859-1 -t UTF-8 < CHANGES.TXT > CHANGES.TXT.utf8
touch -r CHANGES.TXT CHANGES.TXT.utf8
mv CHANGES.TXT.utf8 CHANGES.TXT

# man page associated with another flasm rpm
cp -p %{SOURCE1} .
gunzip flasm.1.gz


%build
#make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
make CFLAGS="$RPM_OPT_FLAGS"


%install
install -d -m755 $RPM_BUILD_ROOT%{_bindir}/
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man1/
install flasm $RPM_BUILD_ROOT%{_bindir}/
install -m644 -p flasm.1 $RPM_BUILD_ROOT%{_mandir}/man1/


%files
%doc LICENSE.TXT CHANGES.TXT classic.css logo.gif flasm.html
%doc flasm.ini
%{_bindir}/flasm
%{_mandir}/man1/flasm.1*


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.62-alt1_16
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.62-alt1_15
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.62-alt1_14
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.62-alt1_13
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.62-alt1_12
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.62-alt1_11
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.62-alt1_10
- initial fc import

